# Stoic Merit-Based Code of Conduct

## Our Purpose

We are a community dedicated to achieving meaningful outcomes through merit and action. We value results over rituals, substance over fluff, and the strength of ideas over wasted time. Our goal is to enable every participant to contribute their best work, judged solely by its impact, in an environment of directness, discipline, and mutual respect.

## Our Expectations

To advance our purpose, we expect:

* Contributions that prioritize quality, utility, and results—no grandstanding or empty gestures.
* Clear, direct communication that cuts through noise and drives progress.
* A focus on solutions, not complaints—bring answers, not just critiques.
* Resilience in accepting feedback and accountability for your work, without excuses.
* Respect for others' efforts, assuming their intent is to improve the outcome, not obstruct it.
* Efficiency—value time as a resource and use it wisely.

Unacceptable behaviors include:

* Distractions like personal attacks, insults, or irrelevant tangents that derail focus.
* Vague, evasive, or ceremonial communication that wastes effort.
* Harassment or intimidation, public or private, that undermines participation.
* Sharing private information (e.g., addresses or emails) without explicit consent.
* Actions that prioritize ego or politics over the work itself.

## Our Duty

Maintainers will enforce these standards with impartiality and pragmatism. Their role is to keep the community focused on outcomes, addressing violations swiftly and fairly—no drama, no delay. Corrective actions will match the offense, from warnings to removal, always aiming to preserve the group's purpose.

## Scope

This applies to all community spaces and to anyone representing us publicly. No exceptions.

## Reporting

If something violates this code, report it to info@datakinetic.com. We'll investigate efficiently, assume good intent unless proven otherwise, and resolve it with a focus on the work, not the noise.

## Our Resolve

We draw from Stoic principles: control what you can, let go of what you can't, and focus on what matters. Here, that's the outcome—built on merit, not ceremony. Let's do the work, judge it by its fruits, and move forward.

## Attribution

Adapted from the Contributor Covenant, version 2.0, reshaped for a Stoic, merit-driven focus.
